Subject: Re: bug#19219: Package names with digits following dashes

From: Alex Kost <[email-masked]>
Date: Wed, 23 Dec 2015 11:05:52 +0300

Mathieu Lirzin (2015-12-23 00:23 +0300) wrote:

[...]
> In fact I think that having the same character for separating words and
> version is a design flaw.

Wow, I didn't think about it before.  And I totally agree!

> This brings non desirable limitations when
> choosing a package name (as shown in this bug report) and/or requires a
> complex parsing algorithm.  We could use a reserved character instead
> (just like we do for multiple outputs).

Great idea!  I also think it would be a right decision to have different
separators for package name words, versions and outputs.

> My proposition would be to have
> ':' for versions and '/' for outputs, like this:
>
>   guile:1.8/doc
>   xterm-256-color:320
>   emacs:24.5/out
>
> WDYT?

The choice of the separator characters doesn't really matter I think.  I
would prefer '_' and ':', i.e. 'emacs-foo-bar_24.5:out'.

-- 
Alex